<?php
$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("ite" . "m" => base64_decode("aXRl" . "bQ=="), "_ebcd6f048" . "786cbe7c25" . "07bec81bfc" . "f8b" => base64_decode("R1JPVVBTX1NZU1RFTV9HUk9VUF9T" . "VEFURQ=="), "_939c6a45ff74323dbef487ed15753a" . "7c" => base64_decode("c3Rh" . "dGU="), "te" . "xt" => base64_decode("dGV4dA=" . "="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "_1252391578f71" . "702a86e93bddde" . "5365a" => base64_decode("dHJlZ" . "Q=="), "_e34a896152ff9" . "a2c8f8e2043ef6" . "a9862" => base64_decode("U0VMRUNUIGdyb3VwbmFtZSBGUk9NIGdyb3VwcyBXSEVSRSBncm91cGlkPWl" . "udDppZA=="), "_5eb874c10bcb82" . "2ac57156206d34b" . "541" => base64_decode("ZGVm" . "aW5l"), "_a0972d4e1cb63c1201a18" . "61eb7216618" => base64_decode("U0VMRUNUIGdyb3VwaWQgRlJPTSBncm91cHM" . "gV0hFUkUgcGFyZW50X2lkPWludDppZA=="), "_ac607c7647863e" . "835e243dbb2e570" . "767" => base64_decode("Li4vY29tbW9uL2" . "NsYXNzZXMvQ2xh" . "VHJlZS5waHA="));
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_ac607c7647863e835e243dbb2e570" . "767"];
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_5eb874c10bcb822ac57156206d3" . "4b541"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_ebcd6f048786" . "cbe7c2507bec8" . "1bfcf8b"], 2);




class Groups
{
    
    
    
    
    
    
    protected $tree;
    public function __construct()
    {
        $this->tree = new ClaTree();
    }
    
    
    
    
    
    
    public function GetGroupsTree()
    {
        $root = $this->tree->appendChild(new DOMElement($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_1252391578f71702a86e9" . "3bddde5365a"]));
        $root->setAttribute($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["i" . "d"], 0);
        $this->LoadNode($root);
        return $this->tree;
    }
    
    
    
    
    
    
    protected function LoadNode(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        foreach ($this->GetChildsInfoById($_5c59c380aa5c5e5f18f039ad7757fe97->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["i" . "d"])) as $_174e15928a28c15cc95b46dd39328987) {
            $_df8d541fa6963e8101557408acad8023 = $_5c59c380aa5c5e5f18f039ad7757fe97->appendChild($this->GetElementByInfo($_174e15928a28c15cc95b46dd39328987));
            $_df8d541fa6963e8101557408acad8023->Load();
            $this->LoadNode($_df8d541fa6963e8101557408acad8023);
        }
    }
    protected function GetElementByInfo($info)
    {
        list($id) = $info;
        return new GroupTreeElement($id);
    }
    
    
    
    
    
    
    
    
    protected function GetChildsInfoById($id)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = array();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($this->GetChildsQuery($id));
        while ($row = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $_343a395319323dd7609bcbc465b4d034[] = $row;
        }
        return $_343a395319323dd7609bcbc465b4d034;
    }
    
    
    
    
    
    
    
    protected function GetChildsQuery($id)
    {
        return new Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a0972d4e1cb63c1201a1861" . "eb7216618"], $id);
    }
}




class GroupTreeElement extends ClaTreeElement
{
    protected $state = GROUPS_SYSTEM_GROUP_STATE;
    public string $id;
    public function __construct($id)
    {
        parent::__construct($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["i" . "t" . "e" . "m"]);
        $this->id = $id;
    }
    
    
    
    
    public function Load()
    {
        global $db;
        $this->SetBasicAttributes();
        list($name) = $db->query_row($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e34a896152f" . "f9a2c8f8e204" . "3ef6a9862"], $this->id);
        $this->setAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["t" . "e" . "x" . "t"], $name);
        $this->AddUserDataByName($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_939c6a45ff74323dbef48" . "7ed15753a7c"], $this->state);
    }
}